org.encog.app.generate.generators.mql4

## Class GenerateMQL4

- java.lang.Object
- - org.encog.app.generate.generators.AbstractTemplateGenerator
  - - org.encog.app.generate.generators.mql4.GenerateMQL4

- All Implemented Interfaces:
    LanguageSpecificGenerator, TemplateGenerator

      public class GenerateMQL4
      extends AbstractTemplateGenerator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateMQL4()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getNullArray()`
    `String` | `getTemplatePath()`
    `void` | `processToken(String command)` Process the specified token.

    - ### Methods inherited from class org.encog.app.generate.generators.AbstractTemplateGenerator

      `addLine, addNameValue, addNameValue, addNameValue, addNameValue, createActivations, createParams, generate, getAnalyst, getContents, getIndentLevel, indentIn, indentOut, setIndentLevel, toBrokenList, toBrokenList, writeContents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateMQL4

          public GenerateMQL4()

  - ### Method Detail

    - #### getNullArray

          public String getNullArray()

      Specified by:
        `getNullArray` in class `AbstractTemplateGenerator`
      Returns:
        A platform specific array set to null.

    - #### getTemplatePath

          public String getTemplatePath()

      Specified by:
        `getTemplatePath` in class `AbstractTemplateGenerator`
      Returns:
        Get a resource path to the template that we are using.

    - #### processToken

          public void processToken(String command)

      Description copied from class: `AbstractTemplateGenerator`
      Process the specified token.
      Specified by:
        `processToken` in class `AbstractTemplateGenerator`
      Parameters:
        `command` - The token to process.

Copyright © 2014. All Rights Reserved.